TweetDeck en Debian de 64 bits

Muchas personas se han topado con un problema al tratar de instalar Adobe Air o las aplicaciones que se ejecutan usando esa plataforma. Para mi gusto personal es una buena plataforma con muchas aplicaciones bonitas e interesantes. Cualquier distribución de Gnu/Linux de 32 bits no tendrán mayores problemas para su instalación y posterior uso.

El problema viene cuando quieres que funcione en una distribución de 64 bits, como es mi caso.
En muchos lados te indican los pasos para instalar Adobe Air para 64 bits y en resumidas cuentas queda de la siguiente manera:

  • Descargarte el archivo .bin de la página oficial
  • Asignarle permisos de ejecución:
  • Ejecutar el binario ejecutable como root
Adobe AirAdobe AIR 2

Con eso debería bastar para instalar Adobe Air, pero como mencioné en un principio, eso solo les provee de la plataforma para luego instalar diversas aplicaciones entre ellas la que me interesa es Tweetdeck, el cual es un cliente de escritorio multiplataforma para uso de redes sociales como Twitter, Facebook, Google Buzz, entre otras.

Ahora vamos a instalar el cliente TweetDeck, para ello iremos a la página web y procedemos a dar clic en Instalar lo cual nos abrirá una nueva ventana como la siguiente en donde daremos clic en “Abrir”

Tweetdeck 1Veremos lo siguiente:

Tweetdeck 2

Luego le damos clic en Instalar y seguir los pasos y finalmente lo tendremos instalado.

Ahora bien, cuando intentan iniciar probablemente se encuentren con esta pantalla donde les indica que ha ocurrido un error.

Error Tweetdeck 1

En mi caso estuve viendo el porqué de ese error y obtuve este otro pantallazo:

Error Tweetdeck 2

Ahora bien, para poder solucionarlo se tiene que hacer algo así como una chapuza. Es decir, hay pasos que debemos hacer de forma manual en la consola, shell o terminal.

Encontré la respuesta sobre el problema en sí en el siguiente párrafo:

I had gnome-keyring installed, but its libraries were the 64-bit versions, not the 32-bit compatibility versions that TweetDeck and Adobe Air were looking for. I found a lot of hacky solutions and workarounds, none of which were clean enough to put onto my system, so I tried one of my own; installing ONLY the 32-bit gnome-keyring libs into /usr/lib32

Siguiendo con este mini-tutorial veremos que (en mi caso) usamos la versión de 64 bits de Debian Gnu/Linux y que para bien o para mal, Adobe Air está buscando las librerías pero de 32 bits -.- y pues por obvias razones nunca lo va a encontrar, así que tenemos que en el directorio /usr/lib32 pondremos los archivos que necesitamos.

Primeramente hay que descargar el paquete libgnome-keyring de cualquiera de los diferentes sitios de internet de donde puede hacerse (aquí), en el caso de que usen Ubuntu o LinuxMint, deben buscar el paquete y descargarlo. Como consejo les recomiendo que pongan el archivo descargado en alguna carpeta (en mi caso /home/hbautista/Descargas/tuitdik) para que no nos confundamos con los archivos.

Ahora bien, vamos a extraer el contenido del paquete que serán los archivos que nos van a servir con el siguiente comando:

El contenido del paquete, es decir los archivos de la librería de gnome keyring en 32 bits quedarán dentro del directorio lib-gnome-keyring0_2.30.1-1_i386 y ahora copiaremos estos archivos al directorio que antes mencioné /usr/lib32

Y listo, con estos sencillos pasos habremos por fin de resolver el detalle de poder usar este programa y poder twittear a gusto.

Pantalla Tweetdeck

Notas relacionadas:

Leave a Reply

*

Next ArticleMi escritorio